
GammaLib - Bug #4198

Saving an empty GModelSpectralTable model leads to a segmentation fault

01/13/2023 02:00 PM - Knödlseder Jürgen

Status: Closed Start date: 01/13/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

>>> import gammalib

>>> spectrum=gammalib.GModelSpectralTable()

>>> spectrum.save('spectrum.fits')

Segmentation fault: 11

History

#1 - 01/13/2023 02:06 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

The problem is easily fixed by changing the code as follows:

GFitsBinTable GModelSpectralTable::create_spec_table(void) const

{

    // Compute number of rows

    int nrows = 0;

    if (m_spectra.dim() > 0) {

        nrows = 1;

        for (int i = 0; i < m_spectra.dim()-1; ++i) {

            nrows *= m_spectra.shape()[i];

        }

    }

This results in

$ python

>>> import gammalib

>>> spectrum=gammalib.GModelSpectralTable()

>>> spectrum.save('spectrum.fits')

>>> ^D
#2 - 01/13/2023 08:09 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.

Powered by TCPDF (www.tcpdf.org)

04/19/2024 2/2

http://www.tcpdf.org

